Bug 1251803 - [abrt] geeqie: vd_notify_cb(): geeqie killed by SIGSEGV
[abrt] geeqie: vd_notify_cb(): geeqie killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: geeqie (Show other bugs)
22
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Miller
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:af312bc245a8b49fe961a93481e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-09 22:35 EDT by Robin Laing
Modified: 2016-07-19 13:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:26:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.23 KB, text/plain)
2015-08-09 22:35 EDT, Robin Laing
no flags Details
File: cgroup (177 bytes, text/plain)
2015-08-09 22:35 EDT, Robin Laing
no flags Details
File: core_backtrace (3.39 KB, text/plain)
2015-08-09 22:35 EDT, Robin Laing
no flags Details
File: dso_list (8.49 KB, text/plain)
2015-08-09 22:35 EDT, Robin Laing
no flags Details
File: environ (3.08 KB, text/plain)
2015-08-09 22:35 EDT, Robin Laing
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-09 22:35 EDT, Robin Laing
no flags Details
File: maps (28.85 KB, text/plain)
2015-08-09 22:35 EDT, Robin Laing
no flags Details
File: mountinfo (3.35 KB, text/plain)
2015-08-09 22:35 EDT, Robin Laing
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-09 22:35 EDT, Robin Laing
no flags Details
File: open_fds (1.08 KB, text/plain)
2015-08-09 22:35 EDT, Robin Laing
no flags Details
File: proc_pid_status (877 bytes, text/plain)
2015-08-09 22:35 EDT, Robin Laing
no flags Details
File: var_log_messages (316 bytes, text/plain)
2015-08-09 22:35 EDT, Robin Laing
no flags Details

  None (edit)
Description Robin Laing 2015-08-09 22:35:24 EDT
Description of problem:
Trying to open a second window in a different directory for comparison of images.

Installing debug code if there is a second crash.

Version-Release number of selected component:
geeqie-1.2-0.1.20141130gita1afabd.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/geeqie
crash_function: vd_notify_cb
executable:     /usr/bin/geeqie
global_pid:     15719
kernel:         4.1.3-200.fc22.i686+PAE
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 vd_notify_cb at view_dir.c:1086
 #1 file_data_check_changed_files at filedata.c:2860
 #3 realtime_monitor_check_cb at filedata.c:2878
 #4 g_hash_table_foreach at ghash.c:1607
 #5 realtime_monitor_cb at filedata.c:2886
 #11 gtk_main at gtkmain.c:1268
Comment 1 Robin Laing 2015-08-09 22:35:27 EDT
Created attachment 1060889 [details]
File: backtrace
Comment 2 Robin Laing 2015-08-09 22:35:27 EDT
Created attachment 1060890 [details]
File: cgroup
Comment 3 Robin Laing 2015-08-09 22:35:28 EDT
Created attachment 1060891 [details]
File: core_backtrace
Comment 4 Robin Laing 2015-08-09 22:35:29 EDT
Created attachment 1060892 [details]
File: dso_list
Comment 5 Robin Laing 2015-08-09 22:35:30 EDT
Created attachment 1060893 [details]
File: environ
Comment 6 Robin Laing 2015-08-09 22:35:30 EDT
Created attachment 1060894 [details]
File: limits
Comment 7 Robin Laing 2015-08-09 22:35:31 EDT
Created attachment 1060895 [details]
File: maps
Comment 8 Robin Laing 2015-08-09 22:35:32 EDT
Created attachment 1060896 [details]
File: mountinfo
Comment 9 Robin Laing 2015-08-09 22:35:33 EDT
Created attachment 1060897 [details]
File: namespaces
Comment 10 Robin Laing 2015-08-09 22:35:34 EDT
Created attachment 1060898 [details]
File: open_fds
Comment 11 Robin Laing 2015-08-09 22:35:34 EDT
Created attachment 1060899 [details]
File: proc_pid_status
Comment 12 Robin Laing 2015-08-09 22:35:35 EDT
Created attachment 1060900 [details]
File: var_log_messages
Comment 13 Michael Schwendt 2015-08-10 05:29:25 EDT
> Trying to open a second window in a different directory for
> comparison of images.

That's vague.

Tell more about your "/home/development/Data/some_stuff" path that's mentioned in the backtrace and related to triggering a reread of the directory list (at the left of the Geeqie window).

Have you modified that directory tree with an external tool while watching it with Geeqie? It could be you've found another corner-case. Some such crashes have plagued Geeqie 1.0, caused by modifying files/dirs while Geeqie was working on them, too.
Comment 14 Robin Laing 2015-08-11 02:40:57 EDT
"/home/development/Data/some_stuff" is a partition that has had archived dvd data moved to it.  Years of mixed archives, some duplicates and/or original copies from DVD's and CD's.

I was comparing images from two different archives to see if any were damaged due to degrading CD/DVD issues.  I had problems copying some of them to the HDD.  At the time, I was not making any directory changes that I can remember.

On Geegie 1.1 on Fedora 21, I have not had this issue and have done the same thing with no problems.

I will test further on both systems to see if I can re-create it on a regular basis.  I have had an issue with Knotify on the FC22 machine that has caused many issues and konsole crashes.

Patch to test is to be pushed in the next couple of days to testing repositories.
Comment 15 Fedora End Of Life 2016-07-19 13:26:52 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.